<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<script>
    //st1:
    var input = {
        name: "David Rayy",
        sclass: "VI",
        rollno: 12
    }
    const returnKeyOfValue = input => {
        return Object.keys(input)
    }
    console.log(returnKeyOfValue(input))

    //st2:
    var input = {
        name: "David Rayy",
        sclass: "VI",
        rollno: 12
    }

    const removePropetyOfObj = input => {
        delete input.rollno
        return input
    }
    console.log(removePropetyOfObj(input))

    //st3:
    var input = {
        name: "David Rayy",
        sclass: "VI",
        rollno: 12
    }


    const countNumberOfKeys = input => {
        var keys = Object.keys(input)
        return keys.length
    }
    console.log(countNumberOfKeys(input))

    //st4:
    var input = [6, 4, 0, 3, -2, 1];
    var input2 = [3, 8, 7, 6, 5, -4, -3, 2, 1]

    const sortArr = input => {

        const compare = (a, b) => {
            return a - b
        }
        return input.sort(compare)
    }
    console.log(sortArr(input2))

    //st5
    var input = "dog";
    const splitStr = input => {
        return input.split("")
    }
    console.log(splitStr(input));

    //st6:
    var input = ["white", "blue", "yellow", "black", "red", "green"];
    const splitArr = input => {
        var color = ["yellow", "black", "red", "green"]
        color.toString()
        return input = ["white", "blue", color]

    }
    console.log(splitArr(input));

    // st7:
    var a = 5;
    var b = 10;
    const sumNumber = (a, b) => {
        var sum = a + b;
        console.log(`Sum of ${a} and ${b} is ${sum}`)
    }
    sumNumber(a, b)

    //st8:
    var input = "JavaScript";
    const spreadOperator = input => {
        var spread = [...input];
        console.log(spread)
    }
    spreadOperator(input)

    //st9:
    var dateInput = 'Feb 29 2023';
    const checkWeekend = dateInput => {
        var date = new Date(dateInput);
        console.log(date)
        if (date.getDay() == 5 || date.getDay() == 6) {
            console.log(true)
        } else {
            console.log(false)
        }
    }
    checkWeekend(dateInput)

    //st10:
    var month = 1;
    var year = 2022
    const returnDaysOfMonth = (month, year) => {
        // var date = new Date(year, month, 0);
        // var daysOfMonth = date.getDate()
        // console.log(daysOfMonth)
        return new Date(year, month, 0).getDate();

    }
   console.log(returnDaysOfMonth(month, year)) 
</script>

<body>

</body>

</html>